Bug 440780 - FTBFS plplot-5.9.0-1.fc9
Summary: FTBFS plplot-5.9.0-1.fc9
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-PDL   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Keywords:
Depends On:
Blocks: FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-04-04 15:58 UTC by FTBFS
Modified: 2008-07-08 04:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 04:39:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log.bz2 (7.57 KB, application/x-bzip2)
2008-04-04 15:58 UTC, FTBFS
no flags Details
build.log.bz2 (36.62 KB, application/x-bzip2)
2008-04-04 15:58 UTC, FTBFS
no flags Details
root.log.bz2 (7.55 KB, application/x-bzip2)
2008-04-04 15:58 UTC, FTBFS
no flags Details
build.log.bz2 (35.44 KB, application/x-bzip2)
2008-04-04 15:58 UTC, FTBFS
no flags Details

Description FTBFS 2008-04-04 15:58:07 UTC
plplot-5.9.0-1.fc9.src.rpm Failed To Build From Source

Comment 1 FTBFS 2008-04-04 15:58:11 UTC
Created attachment 300710 [details]
root.log.bz2

root.log for i386

Comment 2 FTBFS 2008-04-04 15:58:14 UTC
Created attachment 300711 [details]
build.log.bz2

build.log for i386

Comment 3 FTBFS 2008-04-04 15:58:15 UTC
Created attachment 300712 [details]
root.log.bz2

root.log for x86_64

Comment 4 FTBFS 2008-04-04 15:58:18 UTC
Created attachment 300713 [details]
build.log.bz2

build.log for x86_64

Comment 5 Orion Poplawski 2008-04-12 15:20:06 UTC
  9/ 15 Testing examples_perl
Test command: /bin/bash -c
EXAMPLES_DIR=/builddir/build/BUILD/plplot-5.9.0/fedora/examples\
SRC_EXAMPLES_DIR=/builddir/build/BUILD/plplot-5.9.0/examples\
PLPLOT_LIB=/builddir/build/BUILD/plplot-5.9.0/data/\ ./plplot-test.sh\
--device=psc\ --front-end=perl
Testing front-end perl
PLplot library version: 5.9.0
Assertion ((svtype)((_svi)->sv_flags & 0xff)) >= SVt_RV failed: file
"PLplot.xs", line 24267 at
/builddir/build/BUILD/plplot-5.9.0/examples/perl/x16.pl line 186.
-- Process completed
***Failed


This is actually a problem with PDL and perl 5.10.

Filed upstream here: 
https://sourceforge.net/tracker/?func=detail&atid=100612&aid=1931606&group_id=612

I'm afraid this is going to take someone familiar with the perl C 
interface details to sort out.  All help appreciated.


Comment 6 Bug Zapper 2008-05-14 08:44:26 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Matt Domsch 2008-07-08 04:39:10 UTC
builds as of 2008-07-03, version 2.4.3-12.fc10.


Note You need to log in before you can comment on or make changes to this bug.